package cn.com.poc.knowledge.convert;

import cn.com.poc.knowledge.entity.BizKnowledgeTrainLogEntity;
import cn.com.poc.knowledge.model.BizKnowledgeTrainLogModel;

public class KnowledgeTrainLogConvert {

    public static BizKnowledgeTrainLogEntity modelToEntity(BizKnowledgeTrainLogModel model) {
        BizKnowledgeTrainLogEntity bizKnowledgeTrainLogEntity = new BizKnowledgeTrainLogEntity();
        bizKnowledgeTrainLogEntity.setId(model.getId());
        bizKnowledgeTrainLogEntity.setKdId(model.getKdId());
        bizKnowledgeTrainLogEntity.setTimestamp(model.getTimestamp());
        bizKnowledgeTrainLogEntity.setTrainStatus(model.getTrainStatus());
        bizKnowledgeTrainLogEntity.setFailureLog(model.getFailureLog());
        bizKnowledgeTrainLogEntity.setIsDeleted(model.getIsDeleted());
        bizKnowledgeTrainLogEntity.setCreator(model.getCreator());
        bizKnowledgeTrainLogEntity.setCreatedTime(model.getCreatedTime());
        bizKnowledgeTrainLogEntity.setModifier(model.getModifier());
        bizKnowledgeTrainLogEntity.setModifiedTime(model.getModifiedTime());
        bizKnowledgeTrainLogEntity.setSysVersion(model.getSysVersion());
        return bizKnowledgeTrainLogEntity;
    }

    public static BizKnowledgeTrainLogModel entityToModel(BizKnowledgeTrainLogEntity entity) {
        BizKnowledgeTrainLogModel bizKnowledgeTrainLogModel = new BizKnowledgeTrainLogModel();
        bizKnowledgeTrainLogModel.setId(entity.getId());
        bizKnowledgeTrainLogModel.setKdId(entity.getKdId());
        bizKnowledgeTrainLogModel.setTimestamp(entity.getTimestamp());
        bizKnowledgeTrainLogModel.setTrainStatus(entity.getTrainStatus());
        bizKnowledgeTrainLogModel.setFailureLog(entity.getFailureLog());
        bizKnowledgeTrainLogModel.setIsDeleted(entity.getIsDeleted());
        bizKnowledgeTrainLogModel.setCreator(entity.getCreator());
        bizKnowledgeTrainLogModel.setCreatedTime(entity.getCreatedTime());
        bizKnowledgeTrainLogModel.setModifier(entity.getModifier());
        bizKnowledgeTrainLogModel.setModifiedTime(entity.getModifiedTime());
        bizKnowledgeTrainLogModel.setSysVersion(entity.getSysVersion());
        return bizKnowledgeTrainLogModel;
    }


}
